Package com.xebialabs.deployit.plugin.api.udm.base

## Class BaseEmbeddedDeployed<D extends EmbeddedDeployable,​C extends EmbeddedDeployedContainer>

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.base.BaseEmbeddedDeployed<D,​C>

- All Implemented Interfaces:
    `ConfigurationItem`, `EmbeddedDeployed<D,​C>`, `EmbeddedDeployedContainer<D,​C>`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `BaseAppliedProvisioner`, `EmbeddedDeployedArtifact`

      @Metadata(virtual=true,
                description="The supertype of all EmbeddedDeployeds.",
                inspectable=false,
                root=NESTED)
      public class BaseEmbeddedDeployed<D extends EmbeddedDeployable,​C extends EmbeddedDeployedContainer>
      extends BaseConfigurationItem
      implements EmbeddedDeployed<D,​C>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

      `CONTAINER_FIELD, DEPLOYABLE_FIELD`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `BaseEmbeddedDeployed()` | Default constructor should be public in order to be able to instantiate this.
    `protected` | `BaseEmbeddedDeployed​(D deployable, C container)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `C` | `getContainer()` |
    `D` | `getDeployable()` |
    `void` | `setContainer​(C container)` |
    `void` | `setDeployable​(D deployable)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Constructor Detail

    - #### BaseEmbeddedDeployed

          public BaseEmbeddedDeployed()

      Default constructor should be public in order to be able to instantiate this.

    - #### BaseEmbeddedDeployed

          protected BaseEmbeddedDeployed​(D deployable,
                                         C container)

  - ### Method Detail

    - #### getDeployable

          public D getDeployable()

      Specified by:
        `getDeployable` in interface `EmbeddedDeployedContainer<D extends EmbeddedDeployable,​C extends EmbeddedDeployedContainer>`
      Returns:
        The associated `Deployable` CI.

    - #### setDeployable

          public void setDeployable​(D deployable)

      Specified by:
        `setDeployable` in interface `EmbeddedDeployedContainer<D extends EmbeddedDeployable,​C extends EmbeddedDeployedContainer>`
      Parameters:
        `deployable` - The associated `Deployable` CI.

    - #### getContainer

          public C getContainer()

      Specified by:
        `getContainer` in interface `EmbeddedDeployedContainer<D extends EmbeddedDeployable,​C extends EmbeddedDeployedContainer>`
      Returns:
        The target `Container`.

    - #### setContainer

          public void setContainer​(C container)

      Specified by:
        `setContainer` in interface `EmbeddedDeployedContainer<D extends EmbeddedDeployable,​C extends EmbeddedDeployedContainer>`
      Parameters:
        `container` - The target `Container`.